<?php
$sql = "SELECT * FROM " . PREFIX . "_liefer WHERE (Referenz_Jahr = \"" . $Jahr . "\" AND Referenz_ID = \"" . $ID . "\" AND Auftrag = \"1\");";
$result = $db->query($sql);

if (($nt = $result->fetch_assoc()) AND (!isset($_POST['step'])))
{
	while (strlen($nt['ID']) < $_SESSION['Firma']['Stellen'])
	{
		$nt['ID'] = "0" . $nt['ID'];
	}
	echo "<h1>Zu dieser Auftragsbestätigung existiert bereits ein Lieferschein mit der Nummer: " . $nt['Jahr'] . "_" . $nt['ID'] . "!</h1>";
	echo "<fieldset>\n";
	echo "	<legend>Weiteren Lieferschein erzeugen</legend>\n";
	echo "	<form action=\"index.php?" . $_SERVER['QUERY_STRING'] . "\" method=\"post\">\n";
	echo "		<input type=\"hidden\" name=\"ID\" value=\"" . $_POST['ID'] . "\" />\n";
	echo "		<input type=\"hidden\" name=\"step\" value=\"1\" />\n";
	echo "		<input type=\"submit\" class=\"button_ok\" name=\"formaction\" value=\"lcreate\" title=\"Weiter\" />\n";
	echo "		<a href=\"index.php?section=" . $_GET['section'] . "\"><img src=\"img/stop.png\" alt=\"Abbrechen\" title=\"Abbrechen\" /></a>\n";
	echo "		<br />\n";
	echo "	</form>\n";
	echo "</fieldset>\n";
}
else
{
	$sql = "SELECT * FROM " . PREFIX . "_Auftraege WHERE (Jahr = \"" . $Jahr . "\" AND ID = \"" . $ID . "\");";
	$result = $db->query($sql);
	$nt = $result->fetch_assoc();
	echo "<br />\n";
	$sql = 'INSERT INTO ' . PREFIX . '_liefer (Jahr, ID, Kontakt_ID, Admin_ID, Referenz_Jahr, Referenz_ID, Auftrag, Text, Datum) VALUES (YEAR(CURDATE()), NULL, "' . $nt['Kontakt_ID'] . '", "' . $nt['Admin_ID'] . '", "' . $Jahr . '", "' . $ID . '", "1", "' . addslashes(stripslashes($nt['Text'])) . '", CURDATE())';
	$stmt = $db->prepare($sql);
	if (!$stmt)
	{
		die ('Datensatz konnte nicht angelegt werden: ' . $db->error);
	}
	if (!$stmt->execute())
	{
		die ('Datensatz konnte nicht angelegt werden: ' . $stmt->error);
	}
	$sql = 'SELECT last_insert_id() AS last';
	$result = $db->query($sql);
	$nttemp = $result->fetch_assoc();
	$ID_New = $nttemp['last'];

	$sqlp = "SELECT * FROM " . PREFIX . "_Auftrag_Pos WHERE (Jahr = \"" . $Jahr . "\" AND Auftrag_ID = \"" . $ID . "\");";
	$resultp = $db->query($sqlp);
	while ($ntp = $resultp->fetch_assoc())
	{
		$sql = "INSERT INTO " . PREFIX . "_liefer_Pos (ID, Jahr, liefer_ID, Position, Anzahl, Bezeichnung, Preis, Feld1, Feld2, Feld3, Feld4, Feld5) VALUES (NULL, YEAR(CURDATE()), \"" . $ID_New . "\", \"" . $ntp['Position'] . "\", \"" . $ntp['Anzahl'] . "\", \"" . addslashes(stripslashes($ntp['Bezeichnung'])) . "\", \"" . $ntp['Preis'] . "\", \"" . addslashes(stripslashes($ntp['Feld1'])) . "\", \"" . addslashes(stripslashes($ntp['Feld2'])) . "\", \"" . addslashes(stripslashes($ntp['Feld3'])) . "\", \"" . addslashes(stripslashes($ntp['Feld4'])) . "\", \"" . addslashes(stripslashes($ntp['Feld5'])) . "\");";
		$stmt = $db->prepare($sql);
		if (!$stmt)
		{
			die ('Datensatz konnte nicht angelegt werden: ' . $db->error);
		}
		if (!$stmt->execute())
		{
			die ('Datensatz konnte nicht angelegt werden: ' . $stmt->error);
		}
	}

	echo "<fieldset>\n";
	echo "	<legend>Lieferschein wurde erstellt</legend>\n";
	echo "	<form action=\"index.php?section=liefer\" method=\"post\">\n";
	echo "		<input type=\"hidden\" name=\"ID\" value=\"" . date("Y") . "_" . $ID_New . "\" />\n";
	echo "		<input type=\"submit\" class=\"button_edit\" name=\"formaction\" value=\"edit\" title=\"Lieferschein bearbeiten\" />\n";
	echo "	</form>\n";
	echo "</fieldset>\n";
}